package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 中医档期业绩报表对象 company_tcm_report
 *
 * @author fs
 * @date 2023-09-05
 */
public class CompanyTcmReport extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 档期id */
    //@Excel(name = "档期id")
    private Long scheduleId;

    /** 用户ID */
    private Long companyUserId;

    /** 公司id */
    //@Excel(name = "公司id")
    private Long companyId;

    /** 总进线 */
    @Excel(name = "总进线")
    private Long totalNum;

    /** 注册数 */
    @Excel(name = "注册数")
    private Long registerNum;

    /** 上线数 */
    @Excel(name = "上线数")
    private Long onlineNum;

    /** 完课数 */
    @Excel(name = "完课数")
    private Long finishNum;

    /** 注册率 */
    @Excel(name = "注册率")
    private BigDecimal registerRate;

    /** 上线率 */
    @Excel(name = "上线率")
    private BigDecimal onlineRate;

    /** 完课率 */
    @Excel(name = "完课率")
    private BigDecimal finishRate;

    /** 累计总业绩 */
    @Excel(name = "累计总业绩")
    private BigDecimal totalMoney;

    /** 累计总单 */
    @Excel(name = "累计总单")
    private Long totalOrder;

    /** 目标业绩 */
    @Excel(name = "目标业绩")
    private BigDecimal targetMoney;

    /** 目标完成率 */
    @Excel(name = "目标完成率")
    private BigDecimal targetRate;

    /** 一轮业绩 */
    @Excel(name = "一轮业绩")
    private BigDecimal round1Money;

    /** 一轮单数 */
    @Excel(name = "一轮单数")
    private Long round1Order;

    /** 一轮转化率 */
    @Excel(name = "一轮转化率")
    private BigDecimal round1Rate;

    /** 一轮客单价 */
    @Excel(name = "一轮客单价")
    private BigDecimal round1Unit;

    /** 二轮业绩 */
    @Excel(name = "二轮业绩")
    private BigDecimal round2Money;

    /** 二轮单数 */
    @Excel(name = "二轮单数")
    private Long round2Order;

    /** 二轮转化率 */
    @Excel(name = "二轮转化率")
    private BigDecimal round2Rate;

    /** 二轮客单价 */
    @Excel(name = "二轮客单价")
    private BigDecimal round2Unit;

    /** 二轮业绩 */
    @Excel(name = "二轮业绩")
    private BigDecimal round3Money;

    /** 三轮单数 */
    @Excel(name = "三轮单数")
    private Long round3Order;

    /** 三轮转化率 */
    @Excel(name = "三轮转化率")
    private BigDecimal round3Rate;

    /** 三轮客单 */
    @Excel(name = "三轮客单")
    private BigDecimal round3Unit;

    /** 四轮业绩 */
    @Excel(name = "四轮业绩")
    private BigDecimal round4Money;

    /** 四轮单数 */
    @Excel(name = "四轮单数")
    private Long round4Order;

    /** 四轮转化率 */
    @Excel(name = "四轮转化率")
    private BigDecimal round4Rate;

    /** 四轮客单价 */
    @Excel(name = "四轮客单价")
    private BigDecimal round4Unit;

    /** 五轮业绩 */
    @Excel(name = "五轮业绩")
    private BigDecimal round5Money;

    /** 五轮单数 */
    @Excel(name = "五轮单数")
    private Long round5Order;

    /** 五轮转化率 */
    @Excel(name = "五轮转化率")
    private BigDecimal round5Rate;

    /** 五轮客单价 */
    @Excel(name = "五轮客单价")
    private BigDecimal round5Unit;

    /** 六轮业绩 */
    @Excel(name = "六轮业绩")
    private BigDecimal round6Money;

    /** 六一轮单 */
    @Excel(name = "六一轮单")
    private Long round6Order;

    /** 六轮转率 */
    @Excel(name = "六轮转率")
    private BigDecimal round6Rate;

    /** 六轮客单价 */
    @Excel(name = "六轮客单价")
    private BigDecimal round6Unit;

    /** 七轮业绩 */
    @Excel(name = "七轮业绩")
    private BigDecimal round7Money;

    /** 七轮单数 */
    @Excel(name = "七轮单数")
    private Long round7Order;

    /** 七轮转化率 */
    @Excel(name = "七轮转化率")
    private BigDecimal round7Rate;

    /** 七轮客单价 */
    @Excel(name = "七轮客单价")
    private BigDecimal round7Unit;

    /** 八轮业绩 */
    @Excel(name = "八轮业绩")
    private BigDecimal round8Money;

    /** 八轮单数 */
    @Excel(name = "八轮单数")
    private Long round8Order;

    /** 八轮转化率 */
    @Excel(name = "八轮转化率")
    private BigDecimal round8Rate;

    /** 八轮客单价 */
    @Excel(name = "八轮客单价")
    private BigDecimal round8Unit;

    /** 九轮业绩 */
    @Excel(name = "九轮业绩")
    private BigDecimal round9Money;

    /** 九轮单数 */
    @Excel(name = "九轮单数")
    private Long round9Order;

    /** 九轮转化率 */
    @Excel(name = "九轮转化率")
    private BigDecimal round9Rate;

    /** 九轮客单价 */
    @Excel(name = "九轮客单价")
    private BigDecimal round9Unit;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long createUserId;

    /** 修改者ID */
    @Excel(name = "修改者ID")
    private Long updateUserId;


    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setScheduleId(Long scheduleId)
    {
        this.scheduleId = scheduleId;
    }

    public Long getScheduleId()
    {
        return scheduleId;
    }

    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setTotalNum(Long totalNum)
    {
        this.totalNum = totalNum;
    }

    public Long getTotalNum()
    {
        return totalNum;
    }
    public void setRegisterNum(Long registerNum)
    {
        this.registerNum = registerNum;
    }

    public Long getRegisterNum()
    {
        return registerNum;
    }
    public void setOnlineNum(Long onlineNum)
    {
        this.onlineNum = onlineNum;
    }

    public Long getOnlineNum()
    {
        return onlineNum;
    }
    public void setFinishNum(Long finishNum)
    {
        this.finishNum = finishNum;
    }

    public Long getFinishNum()
    {
        return finishNum;
    }
    public void setRegisterRate(BigDecimal registerRate)
    {
        this.registerRate = registerRate;
    }

    public BigDecimal getRegisterRate()
    {
        return registerRate;
    }
    public void setOnlineRate(BigDecimal onlineRate)
    {
        this.onlineRate = onlineRate;
    }

    public BigDecimal getOnlineRate()
    {
        return onlineRate;
    }
    public void setFinishRate(BigDecimal finishRate)
    {
        this.finishRate = finishRate;
    }

    public BigDecimal getFinishRate()
    {
        return finishRate;
    }
    public void setTotalMoney(BigDecimal totalMoney)
    {
        this.totalMoney = totalMoney;
    }

    public BigDecimal getTotalMoney()
    {
        return totalMoney;
    }
    public void setTotalOrder(Long totalOrder)
    {
        this.totalOrder = totalOrder;
    }

    public Long getTotalOrder()
    {
        return totalOrder;
    }
    public void setTargetMoney(BigDecimal targetMoney)
    {
        this.targetMoney = targetMoney;
    }

    public BigDecimal getTargetMoney()
    {
        return targetMoney;
    }
    public void setTargetRate(BigDecimal targetRate)
    {
        this.targetRate = targetRate;
    }

    public BigDecimal getTargetRate()
    {
        return targetRate;
    }
    public void setRound1Money(BigDecimal round1Money)
    {
        this.round1Money = round1Money;
    }

    public BigDecimal getRound1Money()
    {
        return round1Money;
    }
    public void setRound1Order(Long round1Order)
    {
        this.round1Order = round1Order;
    }

    public Long getRound1Order()
    {
        return round1Order;
    }
    public void setRound1Rate(BigDecimal round1Rate)
    {
        this.round1Rate = round1Rate;
    }

    public BigDecimal getRound1Rate()
    {
        return round1Rate;
    }
    public void setRound1Unit(BigDecimal round1Unit)
    {
        this.round1Unit = round1Unit;
    }

    public BigDecimal getRound1Unit()
    {
        return round1Unit;
    }
    public void setRound2Money(BigDecimal round2Money)
    {
        this.round2Money = round2Money;
    }

    public BigDecimal getRound2Money()
    {
        return round2Money;
    }
    public void setRound2Order(Long round2Order)
    {
        this.round2Order = round2Order;
    }

    public Long getRound2Order()
    {
        return round2Order;
    }
    public void setRound2Rate(BigDecimal round2Rate)
    {
        this.round2Rate = round2Rate;
    }

    public BigDecimal getRound2Rate()
    {
        return round2Rate;
    }
    public void setRound2Unit(BigDecimal round2Unit)
    {
        this.round2Unit = round2Unit;
    }

    public BigDecimal getRound2Unit()
    {
        return round2Unit;
    }
    public void setRound3Money(BigDecimal round3Money)
    {
        this.round3Money = round3Money;
    }

    public BigDecimal getRound3Money()
    {
        return round3Money;
    }
    public void setRound3Order(Long round3Order)
    {
        this.round3Order = round3Order;
    }

    public Long getRound3Order()
    {
        return round3Order;
    }
    public void setRound3Rate(BigDecimal round3Rate)
    {
        this.round3Rate = round3Rate;
    }

    public BigDecimal getRound3Rate()
    {
        return round3Rate;
    }
    public void setRound3Unit(BigDecimal round3Unit)
    {
        this.round3Unit = round3Unit;
    }

    public BigDecimal getRound3Unit()
    {
        return round3Unit;
    }
    public void setRound4Money(BigDecimal round4Money)
    {
        this.round4Money = round4Money;
    }

    public BigDecimal getRound4Money()
    {
        return round4Money;
    }
    public void setRound4Order(Long round4Order)
    {
        this.round4Order = round4Order;
    }

    public Long getRound4Order()
    {
        return round4Order;
    }
    public void setRound4Rate(BigDecimal round4Rate)
    {
        this.round4Rate = round4Rate;
    }

    public BigDecimal getRound4Rate()
    {
        return round4Rate;
    }
    public void setRound4Unit(BigDecimal round4Unit)
    {
        this.round4Unit = round4Unit;
    }

    public BigDecimal getRound4Unit()
    {
        return round4Unit;
    }
    public void setRound5Money(BigDecimal round5Money)
    {
        this.round5Money = round5Money;
    }

    public BigDecimal getRound5Money()
    {
        return round5Money;
    }
    public void setRound5Order(Long round5Order)
    {
        this.round5Order = round5Order;
    }

    public Long getRound5Order()
    {
        return round5Order;
    }
    public void setRound5Rate(BigDecimal round5Rate)
    {
        this.round5Rate = round5Rate;
    }

    public BigDecimal getRound5Rate()
    {
        return round5Rate;
    }
    public void setRound5Unit(BigDecimal round5Unit)
    {
        this.round5Unit = round5Unit;
    }

    public BigDecimal getRound5Unit()
    {
        return round5Unit;
    }
    public void setRound6Money(BigDecimal round6Money)
    {
        this.round6Money = round6Money;
    }

    public BigDecimal getRound6Money()
    {
        return round6Money;
    }
    public void setRound6Order(Long round6Order)
    {
        this.round6Order = round6Order;
    }

    public Long getRound6Order()
    {
        return round6Order;
    }
    public void setRound6Rate(BigDecimal round6Rate)
    {
        this.round6Rate = round6Rate;
    }

    public BigDecimal getRound6Rate()
    {
        return round6Rate;
    }
    public void setRound6Unit(BigDecimal round6Unit)
    {
        this.round6Unit = round6Unit;
    }

    public BigDecimal getRound6Unit()
    {
        return round6Unit;
    }
    public void setRound7Money(BigDecimal round7Money)
    {
        this.round7Money = round7Money;
    }

    public BigDecimal getRound7Money()
    {
        return round7Money;
    }
    public void setRound7Order(Long round7Order)
    {
        this.round7Order = round7Order;
    }

    public Long getRound7Order()
    {
        return round7Order;
    }
    public void setRound7Rate(BigDecimal round7Rate)
    {
        this.round7Rate = round7Rate;
    }

    public BigDecimal getRound7Rate()
    {
        return round7Rate;
    }
    public void setRound7Unit(BigDecimal round7Unit)
    {
        this.round7Unit = round7Unit;
    }

    public BigDecimal getRound7Unit()
    {
        return round7Unit;
    }
    public void setRound8Money(BigDecimal round8Money)
    {
        this.round8Money = round8Money;
    }

    public BigDecimal getRound8Money()
    {
        return round8Money;
    }
    public void setRound8Order(Long round8Order)
    {
        this.round8Order = round8Order;
    }

    public Long getCompanyUserId() {
        return companyUserId;
    }

    public void setCompanyUserId(Long companyUserId) {
        this.companyUserId = companyUserId;
    }

    public Long getRound8Order()
    {
        return round8Order;
    }
    public void setRound8Rate(BigDecimal round8Rate)
    {
        this.round8Rate = round8Rate;
    }

    public BigDecimal getRound8Rate()
    {
        return round8Rate;
    }
    public void setRound8Unit(BigDecimal round8Unit)
    {
        this.round8Unit = round8Unit;
    }

    public BigDecimal getRound8Unit()
    {
        return round8Unit;
    }
    public void setRound9Money(BigDecimal round9Money)
    {
        this.round9Money = round9Money;
    }

    public BigDecimal getRound9Money()
    {
        return round9Money;
    }
    public void setRound9Order(Long round9Order)
    {
        this.round9Order = round9Order;
    }

    public Long getRound9Order()
    {
        return round9Order;
    }
    public void setRound9Rate(BigDecimal round9Rate)
    {
        this.round9Rate = round9Rate;
    }

    public BigDecimal getRound9Rate()
    {
        return round9Rate;
    }
    public void setRound9Unit(BigDecimal round9Unit)
    {
        this.round9Unit = round9Unit;
    }

    public BigDecimal getRound9Unit()
    {
        return round9Unit;
    }

    public Long getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }

    public Long getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("scheduleId", getScheduleId())
            .append("companyId", getCompanyId())
            .append("totalNum", getTotalNum())
            .append("registerNum", getRegisterNum())
            .append("onlineNum", getOnlineNum())
            .append("finishNum", getFinishNum())
            .append("registerRate", getRegisterRate())
            .append("onlineRate", getOnlineRate())
            .append("finishRate", getFinishRate())
            .append("totalMoney", getTotalMoney())
            .append("totalOrder", getTotalOrder())
            .append("targetMoney", getTargetMoney())
            .append("targetRate", getTargetRate())
            .append("round1Money", getRound1Money())
            .append("round1Order", getRound1Order())
            .append("round1Rate", getRound1Rate())
            .append("round1Unit", getRound1Unit())
            .append("round2Money", getRound2Money())
            .append("round2Order", getRound2Order())
            .append("round2Rate", getRound2Rate())
            .append("round2Unit", getRound2Unit())
            .append("round3Money", getRound3Money())
            .append("round3Order", getRound3Order())
            .append("round3Rate", getRound3Rate())
            .append("round3Unit", getRound3Unit())
            .append("round4Money", getRound4Money())
            .append("round4Order", getRound4Order())
            .append("round4Rate", getRound4Rate())
            .append("round4Unit", getRound4Unit())
            .append("round5Money", getRound5Money())
            .append("round5Order", getRound5Order())
            .append("round5Rate", getRound5Rate())
            .append("round5Unit", getRound5Unit())
            .append("round6Money", getRound6Money())
            .append("round6Order", getRound6Order())
            .append("round6Rate", getRound6Rate())
            .append("round6Unit", getRound6Unit())
            .append("round7Money", getRound7Money())
            .append("round7Order", getRound7Order())
            .append("round7Rate", getRound7Rate())
            .append("round7Unit", getRound7Unit())
            .append("round8Money", getRound8Money())
            .append("round8Order", getRound8Order())
            .append("round8Rate", getRound8Rate())
            .append("round8Unit", getRound8Unit())
            .append("round9Money", getRound9Money())
            .append("round9Order", getRound9Order())
            .append("round9Rate", getRound9Rate())
            .append("round9Unit", getRound9Unit())
            .toString();
    }
}
